.right-float-wrap {
  display: none;
  position: fixed;
  left: 50%;
  bottom: 100px;
  text-align: center;
  z-index: 3;
  margin-left: 620px;
  cursor: pointer;
  user-select: none;
}
@media screen and (max-width:1500px) {
  .right-float-wrap {
    right: 20px;
    left: auto;
    margin-left: 0;
    bottom: 100px;
  }
}
@media screen and (max-width:1200px) {
  .right-float-wrap {
    right: 20px;
    left: auto;
    margin-left: 0;
    bottom: 20px;
  }
}
.right-float-item {
  display: block;
  width: 64px;
  height: 52px;
  margin-bottom: 8px;
  position: relative;
}

.right-float-item img {
  width: 52px;
  height: 52px;
}

.back-to-top {
  margin-bottom: 0;
  margin-top: 24px;
  height: 64px;
}

.back-to-top img {
  width: 64px;
  height: 64px;
}

.back-to-top:active {
  transform: translate(1px, 1px);
}

.right-float-item:hover .float-hover-qrcode {
  display: block;
}

.float-hover-qrcode {
  display: none;
  position: absolute;
  top: -30px;
  left: -234px;
  width: 220px;
  height: 112px;
  padding: 12px;
  background-color: #fff;
  border-radius: 4px;
  box-shadow: 0px 0px 8px 0px rgb(0 0 0 / 8%);
  box-sizing: border-box;
}

.float-hover-qrcode::after {
  content: '';
  width: 0;
  height: 0;
  display: block;
  border: 10px solid;
  position: absolute;
  bottom: 45px;
  right: -20px;
  /* transform: translateX(-10px); */
  border-color: transparent transparent transparent #fff;
  filter: drop-shadow(0px 1px 1px rgba(0, 0, 0, 0.08));
}

.float-hover-qrcode img {
  float: left;
  width: 88px;
  height: 88px;
}

.float-hover-qrcode .qrcode-desc {
  position: relative;
  float: left;
  width: 98px;
  height: 100%;
  text-align: left;
  line-height: 17px;
  margin-left: 10px;
}

.qrcode-name {
  font-size: 12px;
  color: #333333;
  letter-spacing: 0.24px;
  font-weight: 500;
  margin-bottom: 2px;
}

.qrcode-slogan {
  font-size: 12px;
  color: #898989;
  letter-spacing: 0.24px;
  font-weight: 400;
}

.qrcode-tag {
  position: absolute;
  bottom: 2px;
  left: 0;
  font-size: 12px;
  color: #FF4800;
  letter-spacing: 0.24px;
  font-weight: 400;
}